function [E,H] = Dipole_fields_new(M,P0,P,f)
% f = frequenza in Hz
% dove E = [Ex Ey Ez], H = [Hx Hy Hz] campo in P = [x y z] di un dipolo 
%          elettrico di momento M = [Mx My Mz] (M = I*l) posto in P0 = [x0 y0 z0].
% ATTENZIONE: convenzione exp(j*omega*t) ottenuta coniugando

v0 = 2.997925e8;
mu = pi*4e-7;
eps = 1/(v0^2*mu);
eta = sqrt(mu/eps);
er = 1;

x = P(1)-P0(1); y = P(2)-P0(2); z = P(3)-P0(3);
[Gxx,Gyx,Gzx,Fxx,Fyx,Fzx] = Dipole_fields(0,0,0,1,0,0,er,f,x,y,z);
[Gxy,Gyy,Gzy,Fxy,Fyy,Fzy] = Dipole_fields(0,0,0,0,1,0,er,f,x,y,z);
[Gxz,Gyz,Gzz,Fxz,Fyz,Fzz] = Dipole_fields(0,0,0,0,0,1,er,f,x,y,z);
GE = [Gxx Gxy Gxz; Gyx Gyy Gyz; Gzx Gzy Gzz];
GH = [Fxx Fxy Fxz; Fyx Fyy Fyz; Fzx Fzy Fzz];

E = conj(GE*M.').';
H = conj(GH*M.').';
