function [ur,uphi,utheta,sintheta] = local_vectors(m,P)

% m = momento dipolo
% P = punto osservazione
mx = m(1); my = m(2); mz = m(3);
M = sqrt(m*m');

% versore ur
Px = P(1); Py = P(2); Pz = P(3);
R = sqrt(P*P');
ur = P/R;
urx = ur(1); ury = ur(2); urz = ur(3);

% versore uphi
Uphix = (my.*Pz-mz.*Py); 
Uphiy = -(mx.*Pz-mz.*Px);
Uphiz = (mx.*Py-my.*Px);
Uphi = sqrt(Uphix.^2+Uphiy.^2+Uphiz.^2);
if Uphi<1e-19
    uphix = 0; uphiy = 0; uphiz = 0;
else
    uphix = Uphix./Uphi; uphiy = Uphiy./Uphi; uphiz = Uphiz./Uphi;
end
uphi = [uphix uphiy uphiz];

% versore utheta
uthx = uphiy.*urz-uphiz.*ury; 
uthy = -(uphix.*urz-uphiz.*urx);
uthz = uphix.*ury-uphiy.*urx;
utheta = [uthx uthy uthz];

costheta = (m*P')/(M*R);
sintheta = sqrt(1 - costheta.^2);

